-------------------------------------------------
-- Purpose: Table Util Functions
-- Licence: ZLIB/libpng
-- Copyright (c) 2013 Magister Ludi
-------------------------------------------------

function PrintTable ( t, indent, done )

	done = done or {}
	indent = indent or 0

	for key, value in pairs (t) do

		print( string.rep ("\t", indent) )

		if type (value) == "table" and not done [value] then

	      		done [value] = true
	      		print(tostring (key) .. ":" .. "\n");
	     		PrintTable (value, indent + 2, done)

	    	else

	      		print(tostring (key) .. "\t=\t")
	      		print(tostring(value) .. "\n")

	    	end

	end

end